import { useEffect } from 'react';
import { BrowserRouter, Routes, Route } from 'react-router-dom';
import Home from './pages/Home';
import Cart from './pages/Cart';
import Login from './pages/Login';
import Newsletter from './pages/Newsletter';
import Products from './pages/Products';
import Product from './pages/Products/Product';
import Checkout from './pages/Checkout';
import Navbar from './components/Navbar';
import Header from './components/Header';
import theme from './theme/theme';
import { ThemeProvider } from '@mui/material';
import Footer from './components/Footer/Footer';

function App() {

  useEffect(() => {

  }, [])

  return (
    <ThemeProvider theme={theme}>
      <Header />
      <Navbar/>
      <BrowserRouter>
        <Routes>
          <Route path='/' element={<Home />} />
          <Route path='/login' element={<Login />} />

          <Route path='products'>
            {/* All Products */}
            <Route index element={<Products />} />

            {/* Single Product */}
            <Route path=':pid' element={<Product />} />

          </Route>

          <Route path='/newsletter' element={<Newsletter />} />
          <Route path='/cart' element={<Cart />} />
          <Route path='/checkout' element={<Checkout />} />
        </Routes>
      </BrowserRouter>
      <Footer />
    </ThemeProvider>
  );
}



export default App;
