import React from "react";
import AppBar from "@mui/material/AppBar";
import Toolbar from "@mui/material/Toolbar";
import Typography from "@mui/material/Typography";
import Button from "@mui/material/Button";
import IconButton from "@mui/material/IconButton";
import Box from "@mui/material/Box";
import InputBase from "@mui/material/InputBase";
import SearchIcon from "@mui/icons-material/Search";
import AccountCircleIcon from "@mui/icons-material/AccountCircle";

const Navbar = () => {
  return (
    <AppBar position="static" sx={{backgroundColor:"background.black"}}>
      <Toolbar>
        {/* Left Section: Logo */}
        <Typography variant="h6" sx={{ flexGrow: 0, color:"white", letterSpacing:10, marginLeft:20 }}>
          AMBER
        </Typography>

        {/* Center Section: Nav Items */}
        <Box
          sx={{
            flexGrow: 1,
            display: "flex",
            justifyContent: "center",
            gap: 2,
          }}
        >
          <Button color="inherit" onClick={()=>{ window.location.href = "/products" }}>DISCOVER</Button>
          <Button color="inherit" onClick={()=>{ window.location.href = "/" }}>HOME</Button>
          <Button color="inherit" onClick={()=>{ window.location.href = "/products" }}>BEAUTY</Button>
          <Button color="inherit" onClick={()=>{ window.location.href = "/products" }}>SALE</Button>
        </Box>

        {/* Right Section: Search and Profile */}
        <Box sx={{ display: "flex", alignItems: "center", marginRight:20 }}>
          <Box
            sx={{
              display: "flex",
              alignItems: "center",
              backgroundColor: "rgba(255, 255, 255, 0.15)",
              borderRadius: 1,
              padding: "0 8px",
            }}
          >
            <SearchIcon />
            <InputBase
              placeholder="Search…"
              sx={{
                color: "inherit",
              }}
            />
          </Box>
          <IconButton color="inherit">
            <AccountCircleIcon sx={{color:"white"}}/>
          </IconButton>
        </Box>
      </Toolbar>
    </AppBar>
  );
};

export default Navbar;
